Delete mileage
curl --request DELETE \
--url https://sandbox.tight.com/v6/mileage/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/mileage/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/mileage/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "mlg_12345",
"date": "2024-03-15",
"status": "ACTIVE",
"mileageStatus": "BUSINESS",
"description": "Drive to client meeting",
"notes": "Client was not available",
"customer": {
"id": "cus_4852707",
"name": "Abigail Adams",
"email": "abigail@tight.com"
},
"dimensionValues": [
{
"id": "dv_593051",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Mid-Atlantic",
"child": {
"id": "dv_593052",
"dimension": {
"id": "dim_4521",
"name": "Region",
"requiredness": "NOT_REQUIRED"
},
"name": "Washington DC",
"child": "<unknown>"
}
}
],
"distance": {
"type": "MILE",
"value": "12.5"
},
"start": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"end": {
"time": "2023-11-07T05:31:56Z",
"lat": "38.8977",
"lng": "-77.0365",
"location": {
"id": "loc_28868401",
"name": "Home Office"
},
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
}
},
"duration": 3600000,
"deduction": {
"amount": 6775
},
"route": {
"id": "mrt_12345",
"waypoints": [
{
"lat": "38.8977",
"lng": "-77.0365"
}
]
},
"car": {
"id": "car_28868401",
"name": "My Toyota Camry",
"make": "Toyota",
"model": "Camry"
},
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Mileage
Delete mileage
Delete a mileage record for the given id
DELETE
/
v6
/
mileage
/
{id}
Delete mileage
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Path Parameters
The id of the mileage
⌘I